Index: uspace/lib/ui/src/pbutton.c
===================================================================
--- uspace/lib/ui/src/pbutton.c	(revision 1026cc40ce00dd8415da596685d9d654056793cb)
+++ uspace/lib/ui/src/pbutton.c	(revision d4ea1f67c45352df9a960c7a2a7b061780108b7c)
@@ -429,4 +429,5 @@
 	pbutton->held = true;
 	(void) ui_pbutton_paint(pbutton);
+	ui_pbutton_down(pbutton);
 }
 
@@ -446,4 +447,6 @@
 		ui_pbutton_clicked(pbutton);
 	}
+
+	ui_pbutton_up(pbutton);
 }
 
@@ -476,5 +479,5 @@
 }
 
-/** Button was clicked.
+/** Send button clicked event.
  *
  * @param pbutton Push button
@@ -484,4 +487,24 @@
 	if (pbutton->cb != NULL && pbutton->cb->clicked != NULL)
 		pbutton->cb->clicked(pbutton, pbutton->arg);
+}
+
+/** Send button down event.
+ *
+ * @param pbutton Push button
+ */
+void ui_pbutton_down(ui_pbutton_t *pbutton)
+{
+	if (pbutton->cb != NULL && pbutton->cb->down != NULL)
+		pbutton->cb->down(pbutton, pbutton->arg);
+}
+
+/** Send button up event.
+ *
+ * @param pbutton Push button
+ */
+void ui_pbutton_up(ui_pbutton_t *pbutton)
+{
+	if (pbutton->cb != NULL && pbutton->cb->up != NULL)
+		pbutton->cb->up(pbutton, pbutton->arg);
 }
 
Index: uspace/lib/ui/src/scrollbar.c
===================================================================
--- uspace/lib/ui/src/scrollbar.c	(revision 1026cc40ce00dd8415da596685d9d654056793cb)
+++ uspace/lib/ui/src/scrollbar.c	(revision d4ea1f67c45352df9a960c7a2a7b061780108b7c)
@@ -91,16 +91,16 @@
 };
 
-static void ui_scrollbar_btn_up_clicked(ui_pbutton_t *, void *);
-static void ui_scrollbar_btn_down_clicked(ui_pbutton_t *, void *);
+static void ui_scrollbar_up_btn_down(ui_pbutton_t *, void *);
+static void ui_scrollbar_down_btn_down(ui_pbutton_t *, void *);
 static void ui_scrollbar_ctl_destroy(void *);
 static errno_t ui_scrollbar_ctl_paint(void *);
 static ui_evclaim_t ui_scrollbar_ctl_pos_event(void *, pos_event_t *);
 
-ui_pbutton_cb_t ui_scrollbar_btn_up_cb = {
-	.clicked = ui_scrollbar_btn_up_clicked
+ui_pbutton_cb_t ui_scrollbar_up_btn_cb = {
+	.down = ui_scrollbar_up_btn_down
 };
 
-ui_pbutton_cb_t ui_scrollbar_btn_down_cb = {
-	.clicked = ui_scrollbar_btn_down_clicked
+ui_pbutton_cb_t ui_scrollbar_down_btn_cb = {
+	.down = ui_scrollbar_down_btn_down
 };
 
@@ -136,17 +136,17 @@
 
 	rc = ui_pbutton_create(resource, resource->textmode ? "\u25c4" : "<",
-	    &scrollbar->btn_up);
-	if (rc != EOK)
-		goto error;
-
-	ui_pbutton_set_cb(scrollbar->btn_up, &ui_scrollbar_btn_up_cb,
+	    &scrollbar->up_btn);
+	if (rc != EOK)
+		goto error;
+
+	ui_pbutton_set_cb(scrollbar->up_btn, &ui_scrollbar_up_btn_cb,
 	    (void *) scrollbar);
 
 	rc = ui_pbutton_create(resource, resource->textmode ? "\u25ba" : ">",
-	    &scrollbar->btn_down);
-	if (rc != EOK)
-		goto error;
-
-	ui_pbutton_set_cb(scrollbar->btn_down, &ui_scrollbar_btn_down_cb,
+	    &scrollbar->down_btn);
+	if (rc != EOK)
+		goto error;
+
+	ui_pbutton_set_cb(scrollbar->down_btn, &ui_scrollbar_down_btn_cb,
 	    (void *) scrollbar);
 
@@ -172,6 +172,6 @@
 		return;
 
-	ui_pbutton_destroy(scrollbar->btn_up);
-	ui_pbutton_destroy(scrollbar->btn_down);
+	ui_pbutton_destroy(scrollbar->up_btn);
+	ui_pbutton_destroy(scrollbar->down_btn);
 	ui_control_delete(scrollbar->control);
 	free(scrollbar);
@@ -212,6 +212,6 @@
 
 	ui_scrollbar_get_geom(scrollbar, &geom);
-	ui_pbutton_set_rect(scrollbar->btn_up, &geom.up_btn_rect);
-	ui_pbutton_set_rect(scrollbar->btn_down, &geom.down_btn_rect);
+	ui_pbutton_set_rect(scrollbar->up_btn, &geom.up_btn_rect);
+	ui_pbutton_set_rect(scrollbar->down_btn, &geom.down_btn_rect);
 }
 
@@ -458,9 +458,9 @@
 		goto error;
 
-	rc = ui_pbutton_paint(scrollbar->btn_up);
-	if (rc != EOK)
-		goto error;
-
-	rc = ui_pbutton_paint(scrollbar->btn_down);
+	rc = ui_pbutton_paint(scrollbar->up_btn);
+	if (rc != EOK)
+		goto error;
+
+	rc = ui_pbutton_paint(scrollbar->down_btn);
 	if (rc != EOK)
 		goto error;
@@ -544,9 +544,9 @@
 		goto error;
 
-	rc = ui_pbutton_paint(scrollbar->btn_up);
-	if (rc != EOK)
-		goto error;
-
-	rc = ui_pbutton_paint(scrollbar->btn_down);
+	rc = ui_pbutton_paint(scrollbar->up_btn);
+	if (rc != EOK)
+		goto error;
+
+	rc = ui_pbutton_paint(scrollbar->down_btn);
 	if (rc != EOK)
 		goto error;
@@ -813,9 +813,9 @@
 	pos.y = event->vpos;
 
-	claimed = ui_pbutton_pos_event(scrollbar->btn_up, event);
+	claimed = ui_pbutton_pos_event(scrollbar->up_btn, event);
 	if (claimed == ui_claimed)
 		return ui_claimed;
 
-	claimed = ui_pbutton_pos_event(scrollbar->btn_down, event);
+	claimed = ui_pbutton_pos_event(scrollbar->down_btn, event);
 	if (claimed == ui_claimed)
 		return ui_claimed;
@@ -853,10 +853,10 @@
 }
 
-/** Scrollbar up button clicked.
+/** Scrollbar up button pressed.
  *
  * @param pbutton Up button
  * @param arg Argument (ui_scrollbar_t *)
  */
-static void ui_scrollbar_btn_up_clicked(ui_pbutton_t *pbutton, void *arg)
+static void ui_scrollbar_up_btn_down(ui_pbutton_t *pbutton, void *arg)
 {
 	ui_scrollbar_t *scrollbar = (ui_scrollbar_t *)arg;
@@ -865,10 +865,10 @@
 }
 
-/** Scrollbar down button clicked.
+/** Scrollbar down button pressed.
  *
  * @param pbutton Down button
  * @param arg Argument (ui_scrollbar_t *)
  */
-static void ui_scrollbar_btn_down_clicked(ui_pbutton_t *pbutton, void *arg)
+static void ui_scrollbar_down_btn_down(ui_pbutton_t *pbutton, void *arg)
 {
 	ui_scrollbar_t *scrollbar = (ui_scrollbar_t *)arg;
